[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.LookupList

List of lookup values

## Declaration

Source position: db.pas line 421

`public property TField.LookupList : TLookupList read GetLookupList;`

## Description

LookupList contains the list of key, value pairs used when caching the possible lookup values for a lookup field. The list is only valid when the LookupCache property is set to True. It can be refreshed using the RefreshLookupList method.

## See also

TField.RefreshLookupList |  | Refresh the lookup list
TField.LookupCache |  | Should lookup values be cached

Documentation generated on: Feb 26 2014